# Mantle debug_traceBlockByHash

> Return tracing results by executing all transactions in the block specified by the block hash.

# `debug_traceBlockByHash`

<Description />

## Parameters

<Params />

## Returns

<Returns />

## Example

<Example />

### Request

<Tabs>
  <TabItem value="curl" label="curl" default>

```bash
curl https://linea-mainnet.infura.io/v3/<YOUR-API-KEY> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc": "2.0", "method": "debug_traceBlockByHash", "params": ["0xcc4e47e5f5e82c12ccd511e97f6994b4c4f95808778323ed5cf0a56640b0a815", {"tracer": "callTracer"}], "id": 1}'
```

  </TabItem>
  <TabItem value="WSS" label="WSS">

```bash
wscat -c wss://linea-mainnet.infura.io/ws/v3/<YOUR-API-KEY> -x '{"jsonrpc": "2.0", "method": "debug_traceBlockByHash","params": ["0xcc4e47e5f5e82c12ccd511e97f6994b4c4f95808778323ed5cf0a56640b0a815", {"tracer": "callTracer"}], "id": 1}'
```

  </TabItem>
</Tabs>

### Response

<Response />
